<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Proposals</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.2.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.1/css/dataTables.bootstrap5.min.css">
</head>
<body>
<div class="container-fluid d-flex justify-content-center align-items-center pt-5">
    <h1>Proposals from vendors</h1>
</div>
<div th:if="${error} == 'in_order'">
    <div class="container-fluid d-flex justify-content-center align-items-center pt-5 text-danger">
        <h2>This incident is already in progress !</h2>
    </div>
</div>
<div th:if="${message!=null}">
    <div class="container-fluid d-flex justify-content-center align-items-center pt-5 text-danger">
        <h2 th:text="${message}">Message</h2>
    </div>
</div>
<div class="container-fluid pt-5">
    <table id="table" class="table" style="width:100%">
        <thead>
        <tr>
            <th scope="col">Contact Name</th>
            <th scope="col">Contact Phone</th>
            <th scope="col">Propose price</th>
            <th scope="col">Accept price</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="proposal : ${proposals}">
            <td th:text="${proposal.vendor.name}"></td>
            <td th:text="${proposal.vendor.phone}"></td>
            <td th:text="${proposal.price}+'$'"></td>
            <td th:if="${error==null}">
                <form th:method="POST" th:action="@{'/order/' + ${proposal.id}}">
                    <input type="submit" class="btn btn-success btn-block" value="Accept price">
                </form>
            </td>
        </tr>
        </tbody>
    </table>
</div>
<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.1/js/dataTables.bootstrap5.min.js"></script>
<script src="/js/script.js"></script>
</body>
</html>